| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.VectorPatternUnit Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.VectorPatternUnit:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetUnit (self, value)
def | GetUnit (self)
def | Run (self)
def | Stop (self)
def | GetRunningStatus (self)
def | SetStart (self, value)
def | GetStart (self)
def | SetEnd (self, value)
def | GetEnd (self)
def | SetFreqSampleSpeed (self, value)
def | GetFreqSampleSpeed (self)
def | GetMinFreqSampleSpeed (self)
def | GetMaxFreqSampleSpeed (self)
def | SetCycles (self, value)
def | GetCycles (self)
def | SetExternalTrigger (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| unit
| run
| start
| end
| frequency_speed
| min_speed
| max_speed
| cycles
| external_trigger
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Input Channel Systems - Vector Pattern Unit
    System ID: 0x68 through 0x6f

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    |unit            | 0x00 | uint 32-bit | None               | 0 to 2      | 0       | See registers table    |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |run             | 0x01 | uint 32-bit | bool               | True / False| 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |start           | 0x02 | float 32-bit|                    |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |end             | 0x03 | float 32-bit|                    |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |frequency_speed | 0x04 | float 32-bit| None               |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |min_speed       | 0x05 | float 32-bit| Hz                 |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |max_speed       | 0x06 |             |                    |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |cycles          | 0x07 |             |                    |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |external_trigger| 0x08 | bool        |                    |             |         |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

    registers table 1:

    +---------------+-------+
    | Waveform Unit | Value |
    +===============+=======+
    | Current       | 0     |
    +---------------+-------+
    | OF            | 1     |
    +---------------+-------+
    | XY            | 2     |
    +---------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.VectorPatternUnit.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetCycles()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetCycles | ( |  | self | ) |

## ◆ GetEnd()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetEnd | ( |  | self | ) |

## ◆ GetFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetFreqSampleSpeed | ( |  | self | ) |

## ◆ GetMaxFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetMaxFreqSampleSpeed | ( |  | self | ) |

## ◆ GetMinFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetMinFreqSampleSpeed | ( |  | self | ) |

## ◆ GetRunningStatus()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetRunningStatus | ( |  | self | ) |

## ◆ GetStart()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetStart | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.VectorPatternUnit.help | ( |  | ) |
| static

## ◆ Run()

def optoKummenberg.registers.InputStage.VectorPatternUnit.Run | ( |  | self | ) |

## ◆ SetCycles()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetCycles | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetEnd()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetEnd | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExternalTrigger()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetExternalTrigger | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetFreqSampleSpeed | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStart()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetStart | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## ◆ Stop()

def optoKummenberg.registers.InputStage.VectorPatternUnit.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ cycles

optoKummenberg.registers.InputStage.VectorPatternUnit.cycles

## ◆ end

optoKummenberg.registers.InputStage.VectorPatternUnit.end

## ◆ external_trigger

optoKummenberg.registers.InputStage.VectorPatternUnit.external_trigger

## ◆ frequency_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.frequency_speed

## ◆ max_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.max_speed

## ◆ min_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.min_speed

## ◆ name

optoKummenberg.registers.InputStage.VectorPatternUnit.name

## ◆ run

optoKummenberg.registers.InputStage.VectorPatternUnit.run

## ◆ start

optoKummenberg.registers.InputStage.VectorPatternUnit.start

## ◆ sys_id

optoKummenberg.registers.InputStage.VectorPatternUnit.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.VectorPatternUnit.unit

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/InputStage.py